[Mongrel] LoadError on 'initializer' when starting Mongrel

Michael Bannister mikebannister at gmail.com
Fri Jun 1 15:12:38 EDT 2007


Hi all...

When I start Mongrel I get a LoadError. I use the command

> sudo  mongrel_rails cluster::start -C /path/to/mongrel_cluster.yml

and it says

> Starting 2 Mongrel servers...

but in the log I see this error:

** Starting Rails with production environment...
/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require': no such file to load --
/usr/local/www/weposs/current/config/../vendor/rails/railties/lib/initializer
(LoadError)
        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /usr/local/www/weposs/current/config/boot.rb:16
        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /usr/local/www/weposs/current/config/environment.rb:11
        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
        from /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /var/lib/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:155:in
`rails'
         ... 8 levels...
        from /var/lib/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/command.rb:211:in
`run'
        from /var/lib/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:243
        from /bin/mongrel_rails:18:in `load'
        from /bin/mongrel_rails:18

Any help you can offer in fixing this would be so appreciated! Thanks
in advance.

-Mike


More information about the Mongrel-users mailing list